<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

<div>
    <h2>Employee List</h2>
    <table class="table" >
        <thead>
            <tr defColOnEvent>
                <th scope="col">Employee ID</th>
                <th scope="col">First Name</th>
                <th scope="col">Last Name</th>
                <th scope="col">Dept</th>
                <th scope="col">City</th>
                <th scope="col">Email</th>
            </tr>
        </thead>
        <tbody>
            <tr defColOnEvent *ngFor="let emp of tempArray">
                <th scope="row">{{emp.id}}</th>
                <td>{{emp.fname}}</td>
                <td>{{emp.lname}}</td>
                <td>{{emp.dept}}</td>
                <td>{{emp.city}}</td>
                <td>{{emp.email}}</td>
                <button (click) = "editemp(emp)">add item</button>
            </tr>
           
        </tbody>
    </table>
</div>

<div>
    
    <h2>{{employee.fname | uppercase}} Details</h2>
    <div><span>id: </span>{{employee.id}}</div>
    <div>
        <label for="name">Hero name: </label>
        <input id="name" [(ngModel)]="employee.fname" placeholder="name">
        <h3>{{item}}</h3>
    </div></div>